Pagina 1 di 1

Chiedo consiglio urgente

MessaggioInviato: 27/06/2019, 18:29
da JustBreathe
Ciao a tutti

Vi scrivo per chiedervi un consiglio in maniera alquanto urgente.

Il problema è il seguente:

tra una settimana ho l'esame di fondamenti di informatica (programmazione linguaggio C), e ho sempre usato Code Blocks.
Il problema è che da qualche giorno, in seguito ad un aggiornamento, il debugger di Code Blocks non funziona più.
L'uso del debugger è fondamentale per passare l'esame.
Ho cercato su internet in lungo e in largo ma sembra non esserci soluzione al mio problema.
Le uniche soluzioni proposte richiedono conoscenze solide riguardo uso di alcuni strumenti delle quali non dispongo minimamente.

Gli unici IDE validi che conosco e che sono "predisposti" per il linguaggio C sono Visual Studio e Code Blocks.
Il mio computer è molto "base", e sembra non sopportare Visual Studio (va lentissimo, si blocca continuamente).
Inoltre tale IDE è fin troppo complesso per le conoscenze a noi richieste.
Code Blocks invece presenta il problema suddetto.

Cosa mi consigliate di fare?
Conoscete altri IDE adatti alla mia situazione?
Qualcuno ha riscontrato problemi simili con Code Blocks versione 17.12 su Windows 10?


Grazie a tutti in anticipo, sono alquanto giù di morale per questa situazione molto fastidiosa.

Re: Chiedo consiglio urgente

MessaggioInviato: 27/06/2019, 18:35
da giovx24
ciao,
quali saranno gli IDE che avrai a disposizione quando farai l'esame?
non c'è modo per ottenere la versione precedente di code blocks?

Re: Chiedo consiglio urgente

MessaggioInviato: 27/06/2019, 18:44
da JustBreathe
giovx24 ha scritto:ciao,
quali saranno gli IDE che avrai a disposizione quando farai l'esame?
non c'è modo per ottenere la versione precedente di code blocks?



Porto mio PC all'esame.
Qualsiasi IDE per linguaggio C con debugger va bene.
Ho sempre avuto questa versione di Code Blocks. Il problema penso che sia legato a Windows.

Re: Chiedo consiglio urgente

MessaggioInviato: 27/06/2019, 18:50
da giovx24
JustBreathe ha scritto:
giovx24 ha scritto:ciao,
quali saranno gli IDE che avrai a disposizione quando farai l'esame?
non c'è modo per ottenere la versione precedente di code blocks?



Porto mio PC all'esame.
Qualsiasi IDE per linguaggio C con debugger va bene.
Ho sempre avuto questa versione di Code Blocks. Il problema penso che sia legato a Windows.


mi viene in mente codelite

Re: Chiedo consiglio urgente

MessaggioInviato: 04/08/2019, 16:12
da Marco Beta2
potresti usare DevC (disponibile anche per C++) che tutto sommato fa il suo dovere, oppure Eclipse per C/C++ che però non ho mai usato se non per Java oppure Cygwin (da riga di comando) . Tutti questi IDE hanno il debugger ma sono "difficili" da usare in maniera differente tra loro... dipende da quanto sai smanettare... se sei alle prime armi ti consiglio DevC

Re: Chiedo consiglio urgente

MessaggioInviato: 06/08/2019, 14:36
da vict85
Per il C, attenzione non il C++, puoi usare Pelles C. E' un editor gratuito molto minimale e rispettoso degli standard C.

Sinceramente, se il tuo problema è che non ti funziona più il debugger, la soluzione più logica consiste nel provare a reinstallare mingw o quello che usi (e certo il problema non è windows)1. Tra l'altro, potresti provare a lanciare il debugger dalla console e vedere se il problema è code blocks oppure il debugger.

Un'altra opzione consiste nello scaricare Clang e settare Code Blocks ad usare quello. Ma solo se il problema non è in Code Blocks.

Note

  1. O direttamente tutto Code Blocks. Eventualmente una sua versione più vecchia.